function logostar(){
    $(".logo").sparkle({
        fill: "#f7c916", // fill color of the star that makes up the sparkle effect (default: #fff)
        stroke: "#fde3a7", // outline color of the star (default: #000)
        size: 20, // size of the sparkle effect in px (default: 20)
        delay: 2000, // delay before first sparkle in ms (default: 0)
        duration: 3000, // duration of a sparkle in ms (default: 1500)
        pause: 500 // delay between two sparkles in ms (default: 1000)
    });
}
var Login = function(){
    "use strict";
    var config;
    var bindAction = function() {
        $('.js-form-login').on('submit', function(event) {
            event.preventDefault();
            var $this = $(this);
            var params = $this.serializeArray();
            login($this.attr('action'), params);
        });
        logostar();
    };
    var login = function(url, params) {
        LN.post(url, params, function(result) {
            if (result && result.code == 200) {
                LN.login(result);
            } else if(result.code == 417) {
                if (confirm('您已在其他设备上登录，继续登录会使其他设备下线，可能丢失步数，请问继续吗？')) {
                    params.push({'name': 'force', 'value': 1});
                    login(url, params);
                }
            } else {
                alert(result.msg);
            }
        });
    }
    return {
        init: function( conf ) {
            conf = conf || {};
            config = $.extend( {
            }, conf );
            bindAction();
        }
    };
}();

var Register = function(){
    "use strict";
    var config;
    var registerBindAction = function() {
        $('.js-form-register').on('submit', function(event) {
            event.preventDefault();
            var $this = $(this);
            var params = $this.serializeArray();
            register($this.attr('action'), params);
        });
        logostar();
    };
    var register = function(url, params) {
        LN.post(url, params, function(result) {
            if (result && result.code == 200) {
                LN.register(result);
            } else {
                alert(result.msg);
            }
        });
    }
    return {
        init: function( conf ) {
            conf = conf || {};
            config = $.extend( {
            }, conf );
            registerBindAction();
        }
    };
}();